Activity log for bug #499438

Date Who What changed Old value New value Message
2009-12-22 13:04:54 Michael Nelson bug added bug
2010-01-04 10:51:45 Julian Edwards tags soyuz-upload
2010-01-04 10:51:56 Julian Edwards soyuz: milestone 10.01
2010-01-04 10:52:02 Julian Edwards soyuz: status New Triaged
2010-01-04 10:52:04 Julian Edwards soyuz: importance Undecided High
2010-01-04 15:05:30 Michael Nelson soyuz: assignee Michael Nelson (michael.nelson)
2010-01-05 08:53:21 Michael Nelson soyuz: status Triaged In Progress
2010-01-06 10:34:34 Michael Nelson soyuz: status In Progress Triaged
2010-01-06 10:34:38 Michael Nelson soyuz: assignee Michael Nelson (michael.nelson)
2010-01-25 15:00:36 Julian Edwards soyuz: milestone 10.01 10.02
2010-01-25 15:00:38 Julian Edwards soyuz: importance High Low
2010-02-17 20:15:14 Ursula Junque description Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/ We should handle this exception and notify the user via email. Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/ FatalUploadError: Unable to find mandatory field 'binary' in the changes file. We should handle this exception and notify the user via email.
2010-02-25 09:41:56 Julian Edwards soyuz: milestone 10.02
2010-12-07 13:31:33 Ursula Junque description Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/ FatalUploadError: Unable to find mandatory field 'binary' in the changes file. We should handle this exception and notify the user via email. Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file. FatalUploadError: Unable to find mandatory field 'Files' in the changes file. We should handle this exception and notify the user via email.
2011-04-06 14:16:09 Diogo Matsubara description Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file. FatalUploadError: Unable to find mandatory field 'Files' in the changes file. We should handle this exception and notify the user via email. Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file. OOPS-1921BUILDMASTER1, OOPS-1921BUILDMASTER2, OOPS-1921PPA6   FatalUploadError: Unable to find mandatory field 'Files' in the changes file. OOPS-1921PPA4, OOPS-1921PPA5 We should handle this exception and notify the user via email.
2011-04-06 14:16:14 Diogo Matsubara tags lp-soyuz soyuz-upload lp-soyuz oops soyuz-upload
2011-04-06 14:16:25 Diogo Matsubara launchpad: importance Low Critical
2011-07-15 20:03:26 Diogo Matsubara description Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file. OOPS-1921BUILDMASTER1, OOPS-1921BUILDMASTER2, OOPS-1921PPA6   FatalUploadError: Unable to find mandatory field 'Files' in the changes file. OOPS-1921PPA4, OOPS-1921PPA5 We should handle this exception and notify the user via email. Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file.    OOPS-1921BUILDMASTER1, OOPS-1921BUILDMASTER2, OOPS-1921PPA6   FatalUploadError: Unable to find mandatory field 'Files' in the changes file.    OOPS-1921PPA4, OOPS-1921PPA5 FatalUploadError: Unable to find mandatory field 'Date' in the changes file. OOPS-2021FTPMASTER5 We should handle this exception and notify the user via email.
2011-08-02 21:25:00 Diogo Matsubara description Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file.    OOPS-1921BUILDMASTER1, OOPS-1921BUILDMASTER2, OOPS-1921PPA6   FatalUploadError: Unable to find mandatory field 'Files' in the changes file.    OOPS-1921PPA4, OOPS-1921PPA5 FatalUploadError: Unable to find mandatory field 'Date' in the changes file. OOPS-2021FTPMASTER5 We should handle this exception and notify the user via email. Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file.    OOPS-1921BUILDMASTER1, OOPS-1921BUILDMASTER2, OOPS-1921PPA6   FatalUploadError: Unable to find mandatory field 'Files' in the changes file.    OOPS-1921PPA4, OOPS-1921PPA5   FatalUploadError: Unable to find mandatory field 'Date' in the changes file.    OOPS-2021FTPMASTER5 FatalUploadError: File /srv/launchpad.net/ppa-queue/incoming/upload-ftp-20110728-172729-005330/~ferramroberto/varie/ubuntu/grsync_1.2.0-1~lffl~maverick~ppa_source.changes is signed with a deactivated key 85C20848 OOPS-2035PPA5 We should handle this exception and notify the user via email.
2011-08-04 10:47:26 Julian Edwards launchpad: assignee Julian Edwards (julian-edwards)
2011-08-10 10:50:48 Diogo Matsubara description Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file.    OOPS-1921BUILDMASTER1, OOPS-1921BUILDMASTER2, OOPS-1921PPA6   FatalUploadError: Unable to find mandatory field 'Files' in the changes file.    OOPS-1921PPA4, OOPS-1921PPA5   FatalUploadError: Unable to find mandatory field 'Date' in the changes file.    OOPS-2021FTPMASTER5 FatalUploadError: File /srv/launchpad.net/ppa-queue/incoming/upload-ftp-20110728-172729-005330/~ferramroberto/varie/ubuntu/grsync_1.2.0-1~lffl~maverick~ppa_source.changes is signed with a deactivated key 85C20848 OOPS-2035PPA5 We should handle this exception and notify the user via email. Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file.    OOPS-1921BUILDMASTER1, OOPS-1921BUILDMASTER2, OOPS-1921PPA6   FatalUploadError: Unable to find mandatory field 'Files' in the changes file.    OOPS-1921PPA4, OOPS-1921PPA5   FatalUploadError: Unable to find mandatory field 'Date' in the changes file.    OOPS-2021FTPMASTER5   FatalUploadError: File /srv/launchpad.net/ppa-queue/incoming/upload-ftp-20110728-172729-005330/~ferramroberto/varie/ubuntu/grsync_1.2.0-1~lffl~maverick~ppa_source.changes is signed with a deactivated key 85C20848    OOPS-2035PPA5 FatalUploadError: Signing key 0D9EDC5F633B05D4763342C376D4635FB2A34D75 not registered in launchpad. OOPS-2047PPA10 We should handle this exception and notify the user via email.
2011-09-29 05:02:45 William Grant launchpad: importance Critical High
2011-09-29 05:04:53 William Grant tags lp-soyuz oops soyuz-upload lp-soyuz soyuz-upload
2012-01-04 01:26:43 Robert Collins description Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created (although on production we don't currently see the oops - bug 499423), but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file.    OOPS-1921BUILDMASTER1, OOPS-1921BUILDMASTER2, OOPS-1921PPA6   FatalUploadError: Unable to find mandatory field 'Files' in the changes file.    OOPS-1921PPA4, OOPS-1921PPA5   FatalUploadError: Unable to find mandatory field 'Date' in the changes file.    OOPS-2021FTPMASTER5   FatalUploadError: File /srv/launchpad.net/ppa-queue/incoming/upload-ftp-20110728-172729-005330/~ferramroberto/varie/ubuntu/grsync_1.2.0-1~lffl~maverick~ppa_source.changes is signed with a deactivated key 85C20848    OOPS-2035PPA5 FatalUploadError: Signing key 0D9EDC5F633B05D4763342C376D4635FB2A34D75 not registered in launchpad. OOPS-2047PPA10 We should handle this exception and notify the user via email. Currently when a person uploads a bad source, such as a changes file without a mandatory binary field, a FatalUploadError is raised, and an oops created but the user never receives an email response. Examples: http://pastebin.ubuntu.com/344658/ After uploading the package to dogfood, we were able to see the (obvious) issue: http://pastebin.ubuntu.com/344696/   FatalUploadError: Unable to find mandatory field 'Binary' in the changes file.    OOPS-1921BUILDMASTER1, OOPS-1921BUILDMASTER2, OOPS-1921PPA6   FatalUploadError: Unable to find mandatory field 'Files' in the changes file.    OOPS-1921PPA4, OOPS-1921PPA5   FatalUploadError: Unable to find mandatory field 'Date' in the changes file.    OOPS-2021FTPMASTER5   FatalUploadError: File /srv/launchpad.net/ppa-queue/incoming/upload-ftp-20110728-172729-005330/~ferramroberto/varie/ubuntu/grsync_1.2.0-1~lffl~maverick~ppa_source.changes is signed with a deactivated key 85C20848    OOPS-2035PPA5   FatalUploadError: Signing key 0D9EDC5F633B05D4763342C376D4635FB2A34D75 not registered in launchpad.    OOPS-2047PPA10 We should handle this exception and notify the user via email.
2012-01-04 12:28:43 Julian Edwards launchpad: assignee Julian Edwards (julian-edwards)
2012-01-04 16:36:10 Julian Edwards bug added subscriber Julian Edwards
2016-11-17 16:44:52 Colin Watson launchpad: assignee Colin Watson (cjwatson)
2016-11-17 16:44:56 Colin Watson launchpad: status Triaged In Progress
2016-11-17 16:54:48 Launchpad Janitor branch linked lp:~cjwatson/launchpad/better-upload-error-notifications
2016-12-21 23:09:47 ejjou information type Public Private
2016-12-21 23:14:26 ejjou removed subscriber Julian Edwards
2016-12-21 23:14:26 ejjou removed subscriber Chris Irwin
2016-12-21 23:57:11 Colin Watson information type Private Public
2017-09-28 23:50:27 Launchpad QA Bot tags lp-soyuz soyuz-upload lp-soyuz qa-needstesting soyuz-upload
2017-09-28 23:50:28 Launchpad QA Bot launchpad: status In Progress Fix Committed
2017-09-29 13:09:43 Colin Watson tags lp-soyuz qa-needstesting soyuz-upload lp-soyuz qa-ok soyuz-upload
2017-10-05 13:44:13 Colin Watson launchpad: status Fix Committed Fix Released